/***************************************************************************
                          HermodParameter.h  -  description
                             -------------------
    begin                : Fri Feb 21 2003
    copyright            : (C) 2003 by Henrik Baastrup
    email                : hba@libero.it
    home page            : http://digilander.iol.it/hba/Linux/index.html
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU LGPL (Lesser general Public License) 
 *   as published by the Free Software Foundation:
 *   http://www.gnu.org/copyleft/lesser.html or in the file copying.txt
 *
 ***************************************************************************/
#ifndef _HERMODPARAMETER_H_
#define _HERMODPARAMETER_H_

class HermodParameter
{
	public:
		string m_name;
		string m_value;

		HermodParameter() {m_name=""; m_value="";};
		HermodParameter(const char *name, const char *value) {setName(name); setValue(value);};

		const char *getName() {return m_name.c_str();};
		string getNameString() {return m_name;};
		void setName(const char *name) {m_name = name;};
		void setName(string name) {m_name = name;};
		const char *getValue() {return m_value.c_str();};
		string getValueString() {return m_value;};
		void setValue(const char *value) {m_value = value;};
		void setValue(string value) {m_value = value;};
};//HermodParameter

#endif
